<?php
  $ruta="../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/individual.php");
  $individual=new individual;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/individualcredito.php");
  $individualcredito=new individualcredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/creditomov.php");
  $creditomov=new creditomov;
  include_once($ruta."class/miempresa.php");
  $miempresa=new miempresa;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."funciones/funciones.php");
  session_start();
  extract($_GET);

  //echo devuelveEstado(estadoCredito('2018-05-26','2018-05-25'));


  //********* SEGURIDAD GET *************/
  $valor=dcUrl($lblcode);
  $cred=$individualcredito->muestra($valor);
  $idindividual=$cred['idindividual'];
  $gr=$individual->muestra($cred['idindividual']);
  $rutaImg=$ruta."imagenes/logo.png";
  $demp=$miempresa->muestra(1);
  $dus=$usuario->muestra($cred["usuariocreacion"]);
  $tba=$tipobanca->muestra($cred['idtipobanca']);
  $ddom=$dominio->muestra($cred['frecuenciapago']);
  $per=$persona->muestra($gr['idpersona']);
  $pagado=0;
  if ($cred['cuota']==$cred['nrocuotas']) {
    $cuotacobrar=$cred['cuota'];
    $pagado=1;
  }else{
    $cuotacobrar=$cred['cuota']+1;
  }
  $canTCred=$credito->mostrarPrimero("idgrupocredito=".$valor." and tipocredito=1");
  $fecha=date('Y-m-d');
  $eje=$vadmejecutivo->muestra($gr['idadmejecutivo']);
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Cambiar de Asesor";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1082;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row " style="background: #7AAD4E; text-align: center; color:white; font-size: 25px; border-radius: 5px;">
                    <?php echo $hd_titulo; ?> <?php echo "[CODIGO: IC-$valor, IN-$idindividual"; ?>]
            </div>
            </div>
          </div>
          <div class="container">
            <div class="section">
              <div class="row">
                <div class='col s12 m12 l12'>
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>Información del Grupo</strong> </div></legend>
                      <div class="col s6 m4 l3">Fecha Apertura: <b><?php echo $cred['fechadesembolso'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Ultima Reunión: <b><?php echo $cred['fechaultimo'] ?></b></div>
                      <div class="col s6 m4 l3 green">Fecha: <b><?php echo $cred['fechaproximo'] ?></b>
                      </div>
                      <div class="col s6 m4 l3">Fecha Apertura: <b><?php echo $cred['fechadesembolso'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Cierre: <b><?php echo $cred['fechacierre'] ?></b></div>

                      <div class="col s6 m4 l3">Socio(a): <b><?php echo $per['nombre'].' '.$per['paterno'].' '.$per['materno'] ?></b></div>
                      <div class="col s6 m4 l3">Codigo: <b><?php echo $cred['idindividualcredito'] ?></b></div>
                      <div class="col s6 m4 l3">Zona: <b><?php echo $gr['lugarreunion'] ?></b></div>
                      <div class="col s6 m4 l3">Ciclo: <b><?php echo $gr['idciclo'] ?></b></div> 

                      <div class="col s6 m4 l3">Cuotas: <b><?php echo $cuotacobrar.'/'.$cred['nrocuotas'] ?></b></div>
                      <?php
                        if ($cred['nrocuotas']==$cred['cuota']+1) {
                          ?>
                            <div class="col s6 m4 l3 cyan animated infinite pulse">Cuotas: <b><?php echo $cuotacobrar.'/'.$cred['nrocuotas'] ?></b></div>
                          <?php
                        }else{
                          ?>
                            <div class="col s6 m4 l3">Cuotas: <b><?php echo $cuotacobrar.'/'.$cred['nrocuotas'] ?></b></div>
                          <?php
                        }
                      ?>
                      <div class="col s6 m4 l3">Lapso: <b><?php echo $ddom['short'] ?></b></div>
                      <div class="col s6 m4 l3">Tipo Banca: <b><?php echo $tba['nombre'] ?></b></div>
                      <div class="col s6 m4 l3">ESTADO GRUPO: <b><?php echo devuelveEstado($cred['estadocredito']) ?></b></div> 
                      <div class="col s6 m4 l3">EJECUTIVO ACTUAL: <b><?php echo $eje['nombre']." ".$eje['paterno']." ".$eje['materno'] ?></b></div> 
                  </fieldset>
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>SELECCIONAR ASESOR</strong> </div></legend>
                    <form class="col s12" id="idform" action="return false" onsubmit="return false" method="POST">
                      <input type="hidden" name="idindividualcredito" id="idindividualcredito" value="<?php echo $valor ?>">
                       <input type="hidden" name="idcredito" id="idcredito" value="<?php echo $canTCred['idcredito'] ?>">
                      <div class="input-field col s6 m4 l4">EJECUTIVO ACTUAL: <b><?php echo $eje['nombre']." ".$eje['paterno']." ".$eje['materno'] ?></b></div> <br>
                      <div class="input-field col s12 m12 l4">
                        <label>Asesor</label>
                        <select id="idadmejecutivo" name="idadmejecutivo">
                          <option value="0">Seleccionar Asesor</option>
                          <?php
                            foreach($vadmejecutivo->mostrarTodo("idtipo=142 and idvadmejecutivo<>".$gr['idadmejecutivo']) as $ej)
                            {
                              ?>
                                <option value="<?php echo $ej['idvadmejecutivo']; ?>"><?php echo $ej['nombre'].' '.$ej['paterno']; ?></option>
                              <?php
                            }
                          ?>
                        </select>
                      </div>
                      <div class="input-field col s12 m12 l12">
                        <a href="../" class="btn blue"><i class="fa fa-reply"></i> VOLVER</a>
                        <button id="btnCambiarAsesor" class="btn green"><i class="fa fa-refresh"></i> CAMBIAR ASESOR</button>
                      </div>
                    </form>
                  </fieldset>
                </div> 
              </div>
            </div> 
          </div>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example2').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
    });
    $("#btnCambiarAsesor").click(function(){
      swal({
        title: "Estas Seguro?",
        text: "Cambiaras de Asesor",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#28e29e",
        confirmButtonText: "Estoy Seguro",
        closeOnConfirm: false,
        showLoaderOnConfirm: true,
      }, function () {
        var str = $( "#idform" ).serialize();
        $.ajax({
          url: "guardarCambio.php",
          type: "POST",
          data: str,
          success: function(resp){
            //alert(resp);
            setTimeout(function(){     
              console.log(resp);
              $('#idresultado').html(resp);

            }, 10);
          }   
        });
      }); 
    });
    </script>
</body>

</html>